import os.path, shutil

def make_dir_if_necessary (dir_path):
    if not os.path.isdir(dir_path):
        print 'Making directory: %s' %  dir_path
        try:
            os.makedirs(dir_path)
        except OSError, message:
            ## Errors may be getting trapped above
            ## This info important
            print 'OSError', message

            
def get_filestatus_info(filename, data_dir):
    done_file = os.path.join(data_dir, filename)
    shutil.copyfile(done_file, done_file + '.bak')
    done_file_fh = open(done_file,'r')
    done_elements = done_file_fh.readlines()
    done_file_fh.close()
    done_elements = [l.strip() for l in done_elements]
    return (set(done_elements), open(done_file,'a'))
