#! /usr/bin/env python

from distutils import core
import os, sys


# print sys.version
if sys.version[0:1] == '1':
    raise RuntimeError, ("The Python aligner requires Python 2.6 to build.")
else:
    HTONS_LIBS = []
    plat_ext = []

# Functions for finding libraries and files, copied from Python's setup.py.
# dataFiles(['Crypto/Gui/encoder_about.txt','Crypto/Gui/encoder_help.txt'])

core.setup(name = "crawler_package",
           version = "0.1",
           author = "Jean Mark Gawron",
           author_email= "gawron@mail.sdsu.edu",
           url = "http://www-rohan.sdsu.edu/~gawron/",
           description= "Implementation of various crawling tools in Python",
           long_description= """Basic crawler and text clean up facilities and facilities for batch-driven crawler controlled by a seed list of websites.""",
           keywords = ["Crawl"],
           license = "Python Software Foundation License",
           # platform = ["Linux", Mac, Windows],
           # supported_platform = ["Linux", "MacOSX", "Windows XP"],
           packages = ["crawler_package"],
           package_data = {'crawler': ['doc/*']},
           scripts = ['scripts/tag_militant_data.sh','crawler_package/basic_crawler.py','crawler_package/call_find_links.py'],
           classifiers = ["Intended Audience :: Science/Research",
                          "License :: OSI Approved :: Python Software Foundation License",
                          "Natural Language :: English",
                          "Operating System :: Microsoft :: Windows",
                          "Operating System :: POSIX :: Linux",
                          "Programming Language :: Python",
                          "Topic :: Natural Language :: Web"]
           )
